[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[GNUnet-SVN] r7776 - GNUnet/contrib/macosx
From: |
gnunet |
Subject: |
[GNUnet-SVN] r7776 - GNUnet/contrib/macosx |
Date: |
Mon, 13 Oct 2008 11:58:21 -0600 (MDT) |
Author: holindho
Date: 2008-10-13 11:58:21 -0600 (Mon, 13 Oct 2008)
New Revision: 7776
Modified:
GNUnet/contrib/macosx/build-osx-framework.sh
Log:
fixes
Modified: GNUnet/contrib/macosx/build-osx-framework.sh
===================================================================
--- GNUnet/contrib/macosx/build-osx-framework.sh 2008-10-13 13:06:53 UTC
(rev 7775)
+++ GNUnet/contrib/macosx/build-osx-framework.sh 2008-10-13 17:58:21 UTC
(rev 7776)
@@ -116,9 +116,9 @@
fi
CPPFLAGS="-I${BUILD_DIR}/toolchain/include"
LDFLAGS="-L${BUILD_DIR}/toolchain/lib"
- if ! ( cd $1 && ./configure --prefix="${BUILD_DIR}/toolchain" \
- CPPFLAGS="${CPPFLAGS}" \
+ if ! ( cd $1 && CPPFLAGS="${CPPFLAGS}" \
LDFLAGS="${LDFLAGS}" \
+ ./configure --prefix="${BUILD_DIR}/toolchain" \
$2 && \
make install )
then
@@ -255,7 +255,7 @@
for patchfile in $( ls $1-patch-* 2> /dev/null | sort )
do
echo "applying $patchfile..."
- if ! ( cd $1 && cat "../$patchfile" | patch -p0 )
+ if ! ( cd $1 && cat "../$patchfile" | patch -p1 )
then
echo "error patching $1"
prepare_retval=1
@@ -289,13 +289,13 @@
CFLAGS="${OPT_FLAGS} -no-cpp-precomp -fno-common ${ARCH_CFLAGS}"
CXXFLAGS="${CFLAGS}"
LDFLAGS="${ARCH_LDFLAGS}"
- if ! ( cd "$1" && ./configure CC="${CC}" \
+ if ! ( cd "$1" && CC="${CC}" \
CXX="${CXX}" \
CPPFLAGS="${CPPFLAGS}" \
CFLAGS="${CFLAGS}" \
CXXFLAGS="${CXXFLAGS}" \
LDFLAGS="${LDFLAGS}" \
- $2 && \
+ ./configure $2 && \
make DESTDIR="${SDK_PATH}" install && \
touch "${BUILD_DIR}/built-$1-${ARCH_NAME}" )
then
@@ -414,18 +414,10 @@
build_retval=1
fi
# XXX unbelievably fragile!!!
- #cp ./libtool ./libtool.tmp
- #cat ./libtool.tmp | \
- # sed "s/found=yes/found=no/g;" | \
- # sed "s|eval depdepl=\"\$tmp\/lib\$tmp_libs.dylib\"|if
test \"x\$tmp\" = \"x\/usr\/lib\" ; then\\
-#eval depdepl=\"${SDK_PATH}\/\$tmp\/lib\$tmp_libs.dylib\"\\
-#else\\
-#eval depdepl=\"\$tmp\/lib\$tmp_libs.dylib\"\\
-#fi|g" > ./libtool
-# rm ./libtool.tmp
- # use native dictionary-builder instead of the cross-built one
-# find ./ -type f -name "Makefile" | \
-# xargs perl -pi -w -e "s#./dictionary-builder
#${BUILD_DIR}/toolchain/bin/dictionary-builder #g;"
+ cp ./libtool ./libtool.tmp
+ cat ./libtool.tmp | \
+ sed "s/found=yes/found=no/g;" > ./libtool
+ rm ./libtool.tmp
# add linking to libiconv where libintl is used
find ./ -type f -name "Makefile" | \
xargs perl -pi -w -e "s#-lintl#-lintl -liconv#g;"
@@ -502,6 +494,12 @@
if [ "x${src_files}" != "x" ]
then
create_directory_for "${dst_file}"
+ local extralibs=$(otool -L ${src_files} | grep "compatibility
version" |cut -d' ' -f 1 | sort | uniq -u)
+ if [ "x$extralibs" != "x" ]
+ then
+ echo "WARNING: linking difference"
+ echo "$extralibs"
+ fi
if [ ! -e "${dst_file}" ] && [ ! -h "${dst_file}" ]
then
echo "LIPO ${dst_file}"
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [GNUnet-SVN] r7776 - GNUnet/contrib/macosx,
gnunet <=